File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmx_glxvisuals.h

    00001 /*
    00002 ** License Applicability. Except to the extent portions of this file are
    00003 ** made subject to an alternative license as permitted in the SGI Free
    00004 ** Software License B, Version 1.1 (the "License"), the contents of this
    00005 ** file are subject only to the provisions of the License. You may not use
    00006 ** this file except in compliance with the License. You may obtain a copy
    00007 ** of the License at Silicon Graphics, Inc., attn: Legal Services, 1600
    00008 ** Amphitheatre Parkway, Mountain View, CA 94043-1351, or at:
    00009 **
    00010 ** http://oss.sgi.com/projects/FreeB
    00011 **
    00012 ** Note that, as provided in the License, the Software is distributed on an
    00013 ** "AS IS" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS
    00014 ** DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND
    00015 ** CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A
    00016 ** PARTICULAR PURPOSE, AND NON-INFRINGEMENT.
    00017 **
    00018 ** Original Code. The Original Code is: OpenGL Sample Implementation,
    00019 ** Version 1.2.1, released January 26, 2000, developed by Silicon Graphics,
    00020 ** Inc. The Original Code is Copyright (c) 1991-2000 Silicon Graphics, Inc.
    00021 ** Copyright in any portions created by third parties is as indicated
    00022 ** elsewhere herein. All Rights Reserved.
    00023 **
    00024 ** Additional Notice Provisions: The application programming interfaces
    00025 ** established by SGI in conjunction with the Original Code are The
    00026 ** OpenGL(R) Graphics System: A Specification (Version 1.2.1), released
    00027 ** April 1, 1999; The OpenGL(R) Graphics System Utility Library (Version
    00028 ** 1.3), released November 4, 1998; and OpenGL(R) Graphics with the X
    00029 ** Window System(R) (Version 1.3), released October 19, 1998. This software
    00030 ** was created using the OpenGL(R) version 1.2.1 Sample Implementation
    00031 ** published by SGI, but has not been independently verified as being
    00032 ** compliant with the OpenGL(R) version 1.2.1 Specification.
    00033 **
    00034 */
    00035
    00036 #ifndef _GLXVISUALS_H
    00037 #define _GLXVISUALS_H
    00038
    00039 #include <GL/glxint.h>
    00040
    00042 typedef struct {
    00043     int x_visual_depth;
    00044     int x_visual_class;
    00045 } dmxGlxVisualPrivate;
    00046
    00047 __GLXvisualConfig *GetGLXVisualConfigs(Display *dpy,
    00048                                        int screen,
    00049                                        int *nconfigs);
    00050
    00051 __GLXFBConfig *GetGLXFBConfigs(Display *dpy,
    00052                                int glxMajorOpcode,
    00053                                int *nconfigs);
    00054
    00055 __GLXvisualConfig *GetGLXVisualConfigsFromFBConfigs(__GLXFBConfig *fbconfigs,
    00056                                                     int nfbconfigs,
    00057                                                     XVisualInfo *visuals,
    00058                                                     int nvisuals,
    00059                                                     __GLXvisualConfig
    00060                                                     *glxConfigs,
    00061                                                     int nGlxConfigs,
    00062                                                     int *nconfigs);
    00063
    00064 #endif